using System;
using System.Collections.Generic;
using System.Text;
using Messages;
using KorenTec.Messages;
using KorenTec.Messaging;

namespace Client
{
    public class IntsUpdatedMessageHandler : BaseMessageHandler<EntitiesUpdatedMessage<IntInfo>>
    {
        public override void Handle(EntitiesUpdatedMessage<IntInfo> message)
        {
            Console.WriteLine("Received from {0}", this.Bus.SourceOfMessageBeingHandled);
            Console.WriteLine("Client Handler: {0}.{1}  {2}", DateTime.Now.Second, DateTime.Now.Millisecond, message.Updates[0].Info.k);
        }
    }
}
