using System;
using System.Collections.Generic;
using System.Text;
using Messages;
using KorenTec.Messages;
using KorenTec.Messaging;

namespace Server
{
    public class AddIntMessageHandler : BaseMessageHandler<AddMessage<IntInfo>>
    {
        public override void Handle(AddMessage<IntInfo> message)
        {
            Console.WriteLine("Server Handler: {0}.{1}  {2}", DateTime.Now.Second, DateTime.Now.Millisecond, message.Info.k);

            EntitiesUpdatedMessage<IntInfo> response = new EntitiesUpdatedMessage<IntInfo>();
            response.Updates = new List<EntityUpdate<IntInfo>>();
            response.Updates.Add(new EntityUpdate<IntInfo>());
            response.Updates[0].Info = message.Info;

            this.Bus.Publish(response);
        }
    }
}
