using System;
using System.Collections.Generic;
using System.Text;
using KorenTec.Messaging;
using Messages;
using System.Collections;

namespace Server
{
    public class CommandMessageHandler : BaseMessageHandler<Command>
    {
        public override void Handle(Command message)
        {
            if (message.i % 100 == 0)
                Console.WriteLine("Server Handler: {0}.{1}  {2}", DateTime.Now.Second, DateTime.Now.Millisecond, message.i);

            this.Bus.Return(3);

            this.Bus.Send(new Event(), this.Bus.SourceOfMessageBeingHandled);

            Messages.Event msg = new Messages.Event();
            msg.j = message.i;
            ArrayList strings = new ArrayList(100);
            for (int i = 0; i < 100; i++)
                strings.Add(Guid.NewGuid().ToString());

            msg.alotofdata = strings.ToArray(typeof(string)) as string[];


            this.Bus.Publish(msg);
        }
    }
}
